Bug 412641 - x11 respawns continually with kernel installed, kdm error?
x11 respawns continually with kernel installed, kdm error?
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
low Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 14:25 EST by D Byrne
Modified: 2012-06-20 12:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:13:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D Byrne 2007-12-05 14:25:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20071122 Red Hat/1.5.0.12-0.8.el4 Firefox/1.5.0.12 pango-text

Description of problem:
When I boot using the specified kernel into init level 5, xwindows/KDE cannot start properly.



Version-Release number of selected component (if applicable):
kernel 2.6.9-67.ELsmp and kdm

How reproducible:
Always


Steps to Reproduce:
1. boot with kernel 2.6.9-67.ELsmp 
2. telinit to runlevel 5

Actual Results:
x11 respawns until I switch to runlevel 3.

Expected Results:
KDE should hav estarted

Additional info:
From /var/log/messages:

Dec  5 13:11:34 erica kdm: :0[6782]: IO Error in XOpenDisplay
Dec  5 13:11:34 erica kdm[6753]: Display :0 cannot be opened
Dec  5 13:11:34 erica kdm[6753]: Unable to fire up local display :0; disabling.
Dec  5 13:11:34 erica kdm_config[6861]: Unrecognized section name [Desktop0] at /usr/share/config/kdm/kdmrc:1
Dec  5 13:11:34 erica kdm_config[6861]: Unrecognized key 'SessionTypes' in section [X-*-Greeter] at /usr/share/config/kdm/kdmrc:61

<snip> 

Dec  5 13:11:36 erica kdm[6833]: Display :0 cannot be opened
Dec  5 13:11:36 erica kdm[6833]: Unable to fire up local display :0; disabling.
Dec  5 13:11:36 erica init: Id "x" respawning too fast: disabled for 5 minutes
Comment 1 Prarit Bhargava 2007-12-13 10:10:45 EST
Hi dbyrne,

Two quick questions:

1.  Could you provide us with an output of lspci so we can identify the video
card you are working with?

2.  Have you tried a newer RHEL4 release (the latest IIRC, is RHEL4.6).  You're
using a kernel that is a few years old ...

Thanks,

P.
Comment 2 D Byrne 2007-12-13 12:43:26 EST
1) erica% lspci
00:00.0 Host bridge: Intel Corporation E7525 Memory Controller Hub (rev 09)
00:00.1 Class ff00: Intel Corporation E7525/E7520 Error Reporting Registers (rev 09)
00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A (rev 09)
00:03.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A1 (rev 09)
00:04.0 PCI bridge: Intel Corporation E7525/E7520 PCI Express Port B (rev 09)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller
(rev 02)
00:1f.2 RAID bus controller: Intel Corporation 82801ER (ICH5R) SATA Controller
(rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R)
AC'97 Audio Controller (rev 02)
01:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A
01:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B
02:0e.0 RAID bus controller: Adaptec AIC-7901 U320 w/HostRAID (rev 10)
03:0e.0 Ethernet controller: Intel Corporation 82545GM Gigabit Ethernet
Controller (rev 04)
05:00.0 VGA compatible controller: nVidia Corporation NV41GL [Quadro FX 1400]
(rev a2)
06:0c.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link)

2) No I have not.  My RHEL is provided factory-installed
by Dell and my understanding is that I am only covered for
tech support for the factory installed release (with updates).
Comment 3 Ivan Vecera 2007-12-14 06:02:07 EST
I think that it is not a kernel bug but a bug of 'nv' X11 driver.
Comment 4 D Byrne 2008-02-18 15:16:48 EST
This bug is also present for kernel version vmlinuz-2.6.9-67.0.4.ELsmp

Someone mentioned it might be an X11 driver bug.  In this case, whose
responsibility is it to fix?  Is someone working on this or not?
I have not been able to upgrade to any kernel past 2.6.9-55.0.2.ELsmp.
Comment 5 Jiri Pallich 2012-06-20 12:13:40 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.